Reply to a Google Business review
curl --request POST \
--url https://api.kavenio.com/v1/accounts/{accountId}/gmb-reviews/{reviewId}/reply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "locations/123",
"comment": "Thank you for the review."
}
'import requests
url = "https://api.kavenio.com/v1/accounts/{accountId}/gmb-reviews/{reviewId}/reply"
payload = {
"locationId": "locations/123",
"comment": "Thank you for the review."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({locationId: 'locations/123', comment: 'Thank you for the review.'})
};
fetch('https://api.kavenio.com/v1/accounts/{accountId}/gmb-reviews/{reviewId}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"success": true,
"accountId": "<string>",
"locationId": "<string>",
"reviews": [
{
"id": "<string>",
"name": "<string>",
"reviewer": {
"displayName": "<string>",
"profilePhotoUrl": "<string>",
"isAnonymous": true
},
"rating": 3,
"starRating": "<string>",
"comment": "<string>",
"createTime": "<string>",
"updateTime": "<string>",
"reviewReply": {
"comment": "<string>",
"updateTime": "<string>"
}
}
],
"averageRating": 2.5,
"totalReviewCount": 4503599627370495,
"nextPageToken": "<string>",
"fetchedAt": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Google Business
Reply to Google Business review
Creates or updates the owner reply for a Google Business review.
POST
/
v1
/
accounts
/
{accountId}
/
gmb-reviews
/
{reviewId}
/
reply
Reply to a Google Business review
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Minimum string length:
1Body
application/json
Was this page helpful?
⌘I